GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache'

Bug #619003 reported by Stephen Cradock on 2010-08-17
This bug affects 77 people
Affects Status Importance Assigned to Milestone
gdk-pixbuf (Debian)
gdk-pixbuf (Ubuntu)

Bug Description

During installation of updated version of libgdk-pixbuf2.0-0 on August 10th 2010, the apt term.log contained multiple (>300) copies of the following warning:

(gtk-update-icon-cache:4729): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

Nevertheless, the file complained about exists, and is readable in gedit.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: libgdk-pixbuf2.0-0 2.21.6-2ubuntu5
ProcVersionSignature: Ubuntu 2.6.35-15.21-generic
Uname: Linux 2.6.35-15-generic x86_64
Architecture: amd64
CheckboxSubmission: 363004b1d940f0fc558ab8c98655a145
CheckboxSystem: b845c366ea09c60efa3a45c1b5b21525
Date: Mon Aug 16 18:13:29 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100318)
SourcePackage: gdk-pixbuf

Stephen Cradock (s-cradock) wrote :
dino99 (9d9) wrote :

same issues on maverick i386

Bug 637813

Iain Lane (laney) on 2010-09-24
Changed in gdk-pixbuf (Ubuntu):
status: New → Confirmed
Hew McLachlan (hew) wrote :

Issue still exists when updating on 10.10 UNE.

philinux (philcb) wrote :

Upgrading from lucid to maverick.

Complains this file/directory does not exist.
(gtk-update-icon-cache:333) /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache
Before the upgrade the only thing in /2/10.0/ is a Directory called loaders.

The file loaders.cache did not exist in lucid but is there after the upgrade. Are these just spam messages or real errors?

Anupam (anupambhatt) wrote :

Getting this warning message when upgrading/updating packages to maverick (from list). I have lost the menu and the status/task bar in the display and out of ideas on how to get the menus and taskbar. Desktop shortcuts appear fine though. Just thinking if this warning is the cause of menus etc disappearing.

Strange thing happened here during Lucid to Maverick upgrade.

Hardware: Asus eeepc 1005PE hooked to a Hyundai external monitor res 1440x900 and a Logitech external usb mouse/keyboard

At the middle of the upgrade, the machine started to be very slow, let's say about 10 to 20 times (or more) slower to perform the upgrade statements, cpu load constantly very high.
The mouse was moving very slowly by steps, and all interactions were completely slowed down.

After a while during upgrade, I disconnected the external monitor and mouse/kbd, and set the display back to netbook's with keys Fn F7, and it went back to a normal update speed until the end (upgrade seems OK).

Looking at the /var/log/dist-upgrade/apt-term.log after upgrading, I can see 8322 (out of 22221 total) lines containing:

(gtk-update-icon-cache:nnnnn): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache': Aucun fichier ou dossier de ce type

These statements appear by packs of ~70 lines, regularly in the file.

Is there some relation here between those events, and is it necessary to perform the upgrade without connecting external devices like a monitor ?

Peter Lundqvist (peterl) wrote :

It happened to me to.

Running apt-get install --reinstall gdk-pixbuf2.0-0 fixed everything for me.

Is it just me or is the ubuntu upgrade getting worse and worse?

Did you manage to run this command during the upgrade ?

MAKAPOH (makapoh) wrote :

same problem on upgrade maverick -> natty alpha 3

MAKAPOH (makapoh) wrote :

screenshot of chromium

sdaau (sd-imi) wrote :

Also noticed this today - however, this is a fresh install of Natty (original install of alpha3)

FriedChicken (domlyons) wrote :

I also had this problem on doing a
sudo apt-get update && sudo apt-get dist-upgrade
on Natty.

Is this warning critical? Or is it safe to ignore it?

Peter Fletcher (peter-traal) wrote :

Is also happening to me during install of official 11.04 in update manager.

I don't yet know if it will cause any problems.

Peter Wu (lekensteyn) wrote :

Confirmed, I'm upgrading using the kubuntu-11.04-alternate-amd64.iso.

(gtk-update-icon-cache:12165): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This message is repeated 12794 times, but the upgrade continues.

spidernik84 (alexander-rilik) wrote :

Confirmed here also. Upgrading from a 10.04.2 LTS to a 10.10, both amd64.
I'm updating via terminal with "sudo do-release-upgrade -d".

Mattias Andersson (matand) wrote :

I'm seeing a lot of these messages when running do-release-upgrade from 10.10 to 11.04.

Changed in gdk-pixbuf (Debian):
status: Unknown → New
wavded (wavded) wrote :

I'm getting this error whenever gdk-pixbuf is updated on 11.10, happened today again.

archenroot (archenroot-gmail) wrote :

I today started an upgrade from 10.04 LTS to newest version of ubuntu. I got this message when going to 10.10. Now I started upgrading again to 11.04 and the message appears again. I didn't try to reinstall gpx, I found this bug after the upgrade. I will try to reinstall this package and see what happen when I start upgrade to 11.10 version as soon as it will be available in release stage.

Thomas Coffee (tcoffee) wrote :

Problem still exists upgrading from 11.04 to 11.10.

Sergio Oller (zeehio) wrote :

This warning appeared to me also, but it disappeared when I installed the gtk2-engines-pixbuf package.

Just had this error appear on update on Raring. I ran apt-get install --reinstall gdk-pixbuf2.0-0 following update to see if that would prevent future reccurances.

Mike (web-g) wrote :

Same problem when updating 12.10 totally patched up to 13.04 initial release.

dino99 (9d9) on 2013-05-30
tags: added: raring
removed: maverick
Richard Bruce (richard-bruce) wrote :

Same problem when updating 13.04, totally patched, to 13.10

Ivan Larionov (xeron-oskom) wrote :

Same on 14.04.

papukaija (papukaija) on 2014-03-15
summary: - multiple warnings during installation
+ GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib
+ /gdk-pixbuf-2.0/2.10.0/loaders.cache'
LAZA (laza74) on 2014-03-16
tags: added: trusty
Jesús Navarro (navarrojx) wrote :

After upgrade my 12.04, all icons and images are unrecognizable by pixbuf, all themes are affected and only see a black screen when login. I reinstall libgdk-pixbuf2.0-0 gtk2-engines-pixbuf librsvg2-2 librsvg2-common compiz metacity nvidia-304 unity ubuntu-desktop and nothing, just black screen, in the term.log see this

Processing triggers for libgdk-pixbuf2.0-0 ...
Segmentation fault (core dumped)

In the /var/log/auth.log

Mar 18 07:31:31 MyHost lightdm: pam_unix(lightdm:session): session opened for user lightdm by (uid=0)
Mar 18 07:31:31 MyHost lightdm: pam_ck_connector(lightdm:session): nox11 mode, ignoring PAM_TTY :0
Mar 18 07:31:32 MyHost lightdm: pam_succeed_if(lightdm:auth): requirement "user ingroup nopasswdlogin" not met by user "MyUser"
Mar 18 07:31:32 MyHost dbus[939]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.25" (uid=104 pid=1752 comm="/usr/lib/indicator-datetime/indicator-datetime-ser") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.15" (uid=0 pid=1450 comm="/usr/sbin/console-kit-daemon --no-daemon ")
Mar 18 07:31:54 MyHost lightdm: pam_unix(lightdm:session): session closed for user lightdm

I try this as root

/usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/gdk-pixbuf-query-loaders > /usr/lib/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache

But nothing, the response is

<b>Segmentation fault (core dumped)</b>

In the .xsessions.log there are several errors like this

(gnome-settings-daemon:2111): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1516:46: No se ha reconocido el formato de imagen del archivo
** (nm-applet:2150): WARNING **: Icon nm-device-wired missing: (3) No se ha reconocido el formato de imagen del archivo
** (nm-applet:2150): CRITICAL **: nm_secret_agent_register: assertion `priv->reg_call == NULL' failed
(classicmenu-indicator:2148): GLib-GIO-CRITICAL **: g_loadable_icon_load: assertion `G_IS_LOADABLE_ICON (icon)' failed
(classicmenu-indicator:2148): LIBDBUSMENU-GTK-WARNING **: Unable to create pixbuf data stream: El tipo de imagen «png» no está soportado
** (gnome-settings-daemon:2111): WARNING **: Failed to set the background '/home/MyUser/Wallpapers/IMG_20130822_101800.jpg': GDBus.Error:org.freedesktop.Accounts.Error.PermissionDenied: Not authorized
** (gnome-settings-daemon:2111): WARNING **: Failed to set the background '/home/MyUser/Wallpapers/IMG_20130822_101800.jpg': GDBus.Error:org.freedesktop.Accounts.Error.PermissionDenied: Not authorized

I hope you can help me with this, I do not want to have to reinstall my operating system

Jesús Navarro (navarrojx) wrote :

Finally I resolved the problem, copy and replace the loader folder and loaders.cache file from another computer, restart and all is well

LAZA (laza74) on 2014-03-21
tags: added: i386
Changed in gdk-pixbuf (Ubuntu):
importance: Undecided → High
Eric Ongerth (ericongerth) wrote :

I experienced this during the process of upgrading from 13.10 to 14.04 final beta in a terminal window using the command "sudo do-release-upgrade -d". Running the command suggested in the warning message in a console window during and after the upgrade did nothing useful. After completing the upgrade and rebooting there has been no problem and further invocations of apt-get update and apt-get upgrade have gone smoothly.

I did have one failure to boot, the very first reboot after the upgrade it appeared the video wasn't initialized or something. This may be unrelated but I summarize it here just in case. Rebooted again, chose Advanced Options, enabled network, ran dpkg several times to fix broken packages. Rebooted once more to find the wrong video mode, rebooted one final time and everything is running correctly ever since.

Jan Groenewald (jan-aims) wrote :

Another duplicate at #1283682

Peter Lemieux (seijisensei) wrote :

This bug persists in the 14.04 release version. Updating Xubuntu today with do-release-upgrade throws this error.

zhangliuying (dear531) wrote :

I'm accout of ubuntu13.10 on vmware from chinesse, appear bugs of Fontconfig error - “out of memory” and then Fontconfig error - “out of memory”, I'm system on vmware 6.06(ubuntu)->8.04->10.04-12.04->13.10,but today con't from 13.10 to 14.04LTS, anothe bug and error no appears, update part failed and hung probably 30%!

zhangliuying (dear531) wrote :

please executive command, may be lack dev-release pack, if I'm not apear for the bugs, prove problem fix.

$sudo aptitude search gdk | grep buf
$sudo apt-get install libgdk-pixbuf2.0-dev
$ls -l /usr/bin/i386-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache

zhangliuying (dear531) wrote :

I'm wrong!

Gil Gamesh (gamesh-g) wrote :

Also seeing this today upgrading from kubuntu 13.01 to 14.04

Paulbx (pjb1) wrote :

Also seeing it upgrading from Lubuntu 13.10 to Lubuntu 14.04. When I look in the directory of the allegedly-missing file, it is there. I rebooted without running the suggested command and it appears OK.

Viorel Cernăţeanu (vrilutza) wrote :

also ubuntu utopic unicorn 14.10

dino99 (9d9) on 2014-09-20
tags: added: utopic
EvilSupahFly (seann-giffin) wrote :

When upgrading from Trusty to Utopic, I see this same error repeated many times, though it doesn't seem to have had any negative effect (so far).

mkoniecz (matkoniecz) wrote :

Happens during upgrading 14.04 to 14.10,

Arcane Engineer (nick-wiggill) wrote :

Agree, same problem here during 14.04->14.10 upgrade.

Happening during the upgrade from 14.10 to 15.04

dino99 (9d9) on 2015-05-04
tags: removed: raring
Derek Poon (dpoon) wrote :

I got this message on trusty 14.04:

    Processing triggers for hicolor-icon-theme (0.13-1) ...

    (gtk-update-icon-cache-3.0:31711): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

    This likely means that your installation is broken.
    Try running the command
      gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    to make things work again for the time being.

As instructed, I tried and got:

    # gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
    The program 'gdk-pixbuf-query-loaders' is currently not installed. You can install it by typing:
apt-get install libgdk-pixbuf2.0-dev

Taking that hint, if I install libgdk-pixbuf2.0-dev first, then hicolor-icon-theme.postinst no longer complains. So, maybe /usr/bin/gdk-pixbuf-query-loaders belongs in the libgdk-pixbuf2.0 rather than the libgdk-pixbuf2.0-dev package. Furthermore, libgtk-3-bin (which owns the /usr/bin/gtk-update-icon-cache-3.0 command that hicolor-icon-theme.postinst calls) should declare a dependency on it.

dino99 (9d9) on 2015-09-02
tags: removed: utopic
Maximiliano Fragale (fragale) wrote :

Just run:
sudo apt-get install --reinstall gdk-pixbuf2.0-0

it worked for me.

dino99 (9d9) wrote :

From the debbugs above:
This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.

indeed adapt to the version you are using

dino99 (9d9) wrote :

That issue should not be met nowadays on a clean system; so setting it to 'incomplete' as it refer to borked custom installation

Changed in gdk-pixbuf (Ubuntu):
status: Confirmed → Incomplete
Changed in gdk-pixbuf (Debian):
importance: Unknown → Undecided
status: New → Incomplete
Seth Arnold (seth-arnold) wrote :

dino99, I'm pretty sure you made a mistake here -- this particular message has been included in every upgrade since time immemorial and is likely to be around for as long as people still have gdk-pixbuf installed. That error message you quoted is completely useless.

That's part of what makes this bug so annoying -- even though this bug is 100% cosmetic -- it gives people the impression that something is very wrong, when in reality, it's just that the gdk-pixbuf authors forget that people upgrade software from time to time.

Changed in gdk-pixbuf (Ubuntu):
status: Incomplete → Confirmed
dino99 (9d9) wrote :

hi Seth,

i feel i need to share my experience about that error:
- here there is 14 ubuntu installation (gnome) that of course have all the 'gdk-pixbuff' packages installed.
- some are fresh installs, other are 'rolling' ones (from as old as Precise)
- i've not seen that error since ages
- but i take care of the packages removal when that happens: i purge them to get rid of their old settings; and i'm also tracking orphans. May be i can be wrong, but i'm feeling these tweaks have their importance about that error.

So i still conclude that error is seen on systems with: old settings laying around, some broken links into /etc/rc?.d maybe.
Maybe you should test these hypothesis on systems producing that error, if you know some of them near you.

luvr (luc-vanrompaey) wrote :


I have just got this error on a Xubuntu 14.04 system when I did an "apt-get dist-upgrade" on it.
I'm very careful to make sure that old settings files are purged when packages are removed, so I'm pretty sure that there were no residual configuration files remaining when I installed the updates. I even ran an "aptitude purge '?config-files'" first, just to be sure.

Also, I had double-checked that there were no 'automatically installed packages that are no longer needed' present on the system ("apt-get --purge autoremove" did nothing), so I was safe there, too.

The first visual clue that indicated that the problem was real, was the Mousepad file selection dialog, which didn't work; there was no file list and no buttons on the dialog windows, but just a grey background instead. After a reboot, the desktop background, the icons, and all kinds of visual elements were messed up.

I then did what the error message suggested, i.e.:
gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache

That told me that "gdk-pixbuf-query-loaders" was not installed, and wanted me to run the following:
apt-get install libgdk-pixbuf2.0-dev

I then reran the "gdk-pixbuf-query-loaders" command, and rebooted. After that, all was well again.

I then did an "apt-get dist-upgrade" on another Xubuntu 14.04 system, and that didn't run into any problems.

The two systems had initially been freshly installed (no update from an earlier release). The one that presented the problem had not been updated for quite a while (one and a half to two months, I believe), while the other one, with no problems, gets updated at least once a week. Also, the problematic system does not have the xubuntu-restricted-extras installed, while the second one does (though I doubt it that this will be the cause of the issue). The problem system was installed more recently, from the 14.04.2 release, while the other one was installed from the initial 14.04 release.

dino99 (9d9) wrote :


as i've said, i only use gnome (ubuntu) as there is too much issues with the other flavours, at least for the past months/years (yes i also test them to know if that become better, but always have been desapointed)

with my ubuntu installation that "libgdk-pixbuf2-dev" package is not installed. So its an xubuntu issue doing dirty dependency.

luvr (luc-vanrompaey) wrote :


I won't argue about dependency issues; that may well be the case. In fact, the "libgdk-pixbuf2-dev" package wasn't installed on my Xubuntu system either.

I will add that the problem is not specific to Xubuntu, though. I found reports about it under Debian and ArchLinux as well.

Also, it must have been known for quite a long time to the Slackware team, since they have the following code fragment in their "/etc/rc.d/rc.M" script, which is executed upon each boot:

if [ -x /usr/bin/update-gdk-pixbuf-loaders ]; then
  /usr/bin/update-gdk-pixbuf-loaders --verbose

When this is executed, the following output is produced:

Updating gdk-pixbuf.loaders for x86_64-slackware-linux:
  /usr/bin/gdk-pixbuf-query-loaders-64 --update-cache

That is, obviously, one way to circumvent the problem: rerun the command upon each boot...

dino99 (9d9) on 2015-10-02
Changed in gdk-pixbuf (Ubuntu):
status: Confirmed → Incomplete
Roger Davis (rogerdavis-d) wrote :

14.04, 64 bit

Attempted todays update, got the following errors in the log:
Processing triggers for shared-mime-info (1.2-0ubuntu3) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Unknown media type in type 'uri/mms'
Unknown media type in type 'uri/mmst'
Unknown media type in type 'uri/mmsu'
Unknown media type in type 'uri/pnm'
Unknown media type in type 'uri/rtspt'
Unknown media type in type 'uri/rtspu'
Processing triggers for gconf2 (3.2.6-0ubuntu2) ...
Processing triggers for libglib2.0-0:amd64 (2.40.2-0ubuntu1) ...
Processing triggers for libglib2.0-0:i386 (2.40.2-0ubuntu1) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for hicolor-icon-theme (0.13-1) ...

(gtk-update-icon-cache-3.0:4568): GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
Setting up libudev1:amd64 (204-5ubuntu20.15) ...
Setting up libudev1:i386 (204-5ubuntu20.15) ...
Setting up udev (204-5ubuntu20.15) ...
udev stop/waiting
udev start/running, process 4618
Removing 'diversion of /bin/udevadm to /bin/udevadm.upgrade by fake-udev'
update-initramfs: deferring update (trigger activated)
Setting up libsystemd-daemon0:amd64 (204-5ubuntu20.15) ...
Attempted running " gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache " as suggested :

roger@roger-desktop:~$ sudo gdk-pixbuf-query-loaders > /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache
bash: /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders.cache: Permission denied
Everything seems to be working, but the above is obviously not right. Now what do I do ?

Seth Arnold (seth-arnold) wrote :

Roger, nothing needs doing, the error message is describing the condition _during_ the upgrade but that doesn't affect things once the upgrade is over.

It's extremely annoying but not harmful enough that anyone's gone to the effort of fixing it.


dino99 (9d9) wrote :

harmless transitional message

Changed in gdk-pixbuf (Debian):
status: Incomplete → Invalid
Changed in gdk-pixbuf (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.